


BEGIN {
	GREP_0490()

	GREP_0533()
	GREP_0065 = GREP_0534(GREP_0515, GREP_0516, GREP_0526)
	if (GREP_0065 == 1) {
		GREP_0066 = GREP_0526[1]
	}
	initializeMatchTimeFrame()
	initializeSliceDateCheck()

	GREP_0067=""
	GREP_0068=""
	GREP_0069=0
	GREP_0070=0
	GREP_0567="INITIAL_OFFSETS"
	GREP_0568=0
	GREP_0768=1
}



function GREP_0533() {
	if (GREP_0195 != "REGEX") {
		print "AWKERROR: Only REGEX is supported as _ENTRY_DELIMITER_TYPE_"
		exit 1
	}

	if (GREP_0196 == "BEGINNING") {
		GREP_0079=1
	} else if (GREP_0196 == "END") {
		GREP_0079=0
	} else {
		print "AWKERROR: Wrong _ENTRY_DELIMITER_LOCATION_: " GREP_0196
		exit 1
	}

	if (GREP_0214 == "BEGINNING") {
		GREP_0080 = 1
	} else if (GREP_0214 != "UNDEFINED") {
		print "AWKERROR: Wrong _ENTRY_DELIMITER_INLINE_LOCATION_: " GREP_0214
		exit 1
	}

	if (GREP_0199 == "OR") {
		GREP_0081=1
	} else if (GREP_0199 == "AND") {
		GREP_0081=0
	} else {
		print "AWKERROR: Wrong _FILTERTYPE_: " GREP_0199
		exit 1
	}
}


function GREP_0534(GREP_0515, GREP_0516, GREP_0526,       GREP_0065, GREP_0523, GREP_0083, GREP_0524, i, j) {
	GREP_0065=split(GREP_0187, GREP_0523, GREP_0178)
	if (GREP_0065<0) {
		print "AWKERROR: Wrong number of patterns: " GREP_0065
		exit 1
	}
	GREP_0082=0
	for (i=1;i<=GREP_0065;i++) {
		GREP_0083=split(GREP_0523[i], GREP_0524, GREP_0179)
		if (GREP_0083 != 3) {
			print "AWKERROR: Wrong _pattern_ format: " GREP_0523[i]
			exit 1
		}

		if (GREP_0524[1] == "ContainsFilter") {
			GREP_0515[i]=1
		} else if (GREP_0524[1] == "BeginsWithFilter") {
			GREP_0515[i]=2
		} else if (GREP_0524[1] == "EndsWithFilter") {
			GREP_0515[i]=3
		} else if (GREP_0524[1] == "NotContainsFilter") {
			GREP_0515[i]=4
		} else if (GREP_0524[1] == "MatchesFilter") {
			GREP_0515[i]=5
		} else if (GREP_0524[1] == "NotMatchesFilter") {
			GREP_0515[i]=6			
		} else {
			print "AWKERROR: Wrong _pattern_ type: " GREP_0524[1]
			exit 1
		}

		if (GREP_0524[2] == "SENSE") {
			GREP_0516[i]=0
		} else if (GREP_0524[2] == "NOT_SENSE") {
			GREP_0516[i]=1
			GREP_0082=1
		} else {
			print "AWKERROR: Wrong case sensitivity string: " GREP_0524[2]
			exit 1
		}

		if (GREP_0516[i]) {
			GREP_0526[i]=tolower(GREP_0524[3])
		} else {
			GREP_0526[i]=GREP_0524[3]
		}
	}
	return GREP_0065
}








function GREP_0528(GREP_0525,    i, GREP_0076, GREP_0075) {
	if (GREP_0596) {
		checkProcessingLimit(GREP_0525)
		if (sliceDateCheckIfNeeded(GREP_0525)) {
			return 0
		}
		GREP_0075 = matchTimeFrame(GREP_0525)
		if (GREP_0065 == 0) {
			return GREP_0075
		}
		if (GREP_0075 && GREP_0081) {
			return 1
		}
		if ((!GREP_0075) && (!GREP_0081)) {
			return 0
		}
	}
	if (GREP_0082) {
		GREP_0074=tolower(GREP_0525)
	}
	GREP_0075=1
	for (i=1;i<=GREP_0065;i++) {
		if (GREP_0516[i]) {
			if (GREP_0515[i]==5 || GREP_0515[i]==6) {
				GREP_0076=match(GREP_0074, GREP_0526[i])
			} else {
				GREP_0076=index(GREP_0074, GREP_0526[i])
			}
		} else {
			if (GREP_0515[i]==5 || GREP_0515[i]==6) {
				GREP_0076=match(GREP_0525, GREP_0526[i])
			} else {
				GREP_0076=index(GREP_0525, GREP_0526[i])
			}
		}
		GREP_0075=0
		if (GREP_0515[i]==1 || GREP_0515[i]==5) {
			if (GREP_0076!=0) {
				GREP_0075=1
			}
		} else if (GREP_0515[i]==2) {
			if (GREP_0076==1) {
				GREP_0075=1
			}
		} else if (GREP_0515[i]==3) {
			GREP_0077=length(GREP_0525)
			GREP_0078=length(GREP_0526[i])
			if (GREP_0076==(GREP_0077-GREP_0078+1)) {
				GREP_0075=1
			} else {
				if (substr(GREP_0525, GREP_0077) == "\n") {
					if (GREP_0076==(GREP_0077-GREP_0078)) {
						GREP_0075=1
					}
				}
			}
		} else if (GREP_0515[i]==4 || GREP_0515[i]==6) {
			if (GREP_0076<=0) {
				GREP_0075=1
			}
		}
		if (GREP_0065 > 1) {
			if (GREP_0081) {
				if (GREP_0075) {
					return 1
				}
			} else {
				if (!GREP_0075) {
					return 0
				}
			}
		}
	}
	return GREP_0075
}



function GREP_0769() {
	if (substr($0, length($0)) == "\r") {
		$0 = substr($0,1,length($0)-1)
	} else {
		GREP_0768 = 0
	}
}






END {
	GREP_1101=1
	if (!GREP_0926) {
		GREP_0493()
	}
	sliceDateCheckFinalize()
}


function GREP_0085() {
	if (GREP_0067) {
		if (GREP_0528(GREP_0067)) {
			if (GREP_0079) {
				printf "%s", "###" GREP_0567 GREP_0067
			} else {
				printf "%s", GREP_0067 GREP_0569 "###"
			}
		}
	}
}


function GREP_0086() {
	if (GREP_0067) {
		if (GREP_0528(GREP_0067)) {
			if (GREP_0079) {
				printf "%s", "###" GREP_0071 ":" GREP_0072 ":" GREP_0067
			} else {
				printf "%s", GREP_0067 ":" GREP_0520 ":" GREP_0070 ":###"
			}
		}
	}
}


function GREP_0600() {
	if (GREP_0067) {
		if (GREP_0528(GREP_0067)) {
			printf "%s", GREP_0067
		}
	}
}





function initializeMatchTimeFrame() { }
function matchTimeFrame(entryWithDate) { }
function checkProcessingLimit(entryWithDate) { }
function initializeSliceDateCheck() { }
function sliceDateCheckIfNeeded(entryWithDate) { }
function sliceDateCheckFinalize() { }





function GREP_0519(GREP_0515,GREP_0516,GREP_0526,GREP_0520,GREP_0523,GREP_0524,GREP_0525,GREP_0527) {
	GREP_0515=0
	GREP_0516=0
	GREP_0526=0
	GREP_0520=0
	GREP_0523=0
	GREP_0524=0
	GREP_0525=0
	GREP_0527=0
}
