# import SearchCore.sh
# import UtilArchive.sh
dynamicImport=SearchOptimization.sh




GREP_0271()
{
	GREP_0946=0
	GREP_1190=0
	if GREP_0114 "$GREP_1154"; then
		GREP_0266
	else
		GREP_1217="executable
elf"
		if ( file    "$GREP_1154" 2>/dev/null | "$GREP_0342" -i "$GREP_1217" 2>/dev/null >/dev/null ) ||
		   ( file -L "$GREP_1154" 2>/dev/null | "$GREP_0342" -i "$GREP_1217" 2>/dev/null >/dev/null ) ; then
			GREP_0792
		else
			GREP_0799
		fi
	fi
}



GREP_0792()
{
	if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
		$GREP_0009 "GREP_AWK approach cannot be used on binary _file_" >&2
		exit 1
	fi
	GREP_0814="BINARY"
	GREP_0604="true"
	if [ "$GREP_0198" -eq "0" ]; then
		if [ "$GREP_0611" != "DEFAULT" ] && [ "$GREP_0611" != "DEFAULT_NO_OFFSETS" ] ; then
			$GREP_0009 "Approaches with no _offsets_ other than DEFAULT and DEFAULT_NO_OFFSETS cannot be used with empty filters on binary files" >&2
			exit 1
		fi
		GREP_0817
	else
		GREP_0260 "$GREP_1154"
	fi
}



GREP_0799()
{
	if [ "$GREP_0596" = "0" ] ; then
		if [ "$GREP_0197" = '\n' ] ; then
			GREP_0794
		else
			GREP_0798
		fi
	else
		if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
			$GREP_0009 "GREP_AWK approach cannot be used with _date_ filters" >&2
			exit 1
		fi
		if [ -n "$GREP_1016" ] ; then
			GREP_1012
		else
			GREP_0260 "$GREP_1154"
		fi
	fi
}



GREP_0794()
{
	if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
		$GREP_0009 "GREP_AWK approach cannot be used with newline delimiter" >&2
		exit 1
	fi
	if GREP_0793 || [ -n "$GREP_1183" ] ; then
		GREP_0260 "$GREP_1154"
	else
		if [ "$GREP_0611" != "DEFAULT" ] && [ "$GREP_0611" != "DEFAULT_NO_OFFSETS" ] ; then
			$GREP_0009 "Approaches other than DEFAULT cannot be used with newline delimiter searched by grep" >&2
			exit 1
		fi
		GREP_0263
	fi
}



GREP_0798()
{
	if [ "$GREP_0198" -eq "0" ] ; then
		GREP_0795
	else
		GREP_0797
	fi
}



GREP_0795()
{
	if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
		$GREP_0009 "GREP_AWK approach cannot be used with empty filters" >&2
		exit 1
	fi
	if [ -z "$GREP_0604" ] ; then
		GREP_0260 "$GREP_1154"
	else
		if [ "$GREP_0611" != "DEFAULT_NO_OFFSETS" ] ; then
			$GREP_0009 "Approaches with no _offsets_ other than DEFAULT_NO_OFFSETS cannot be used with empty filters" >&2
			exit 1
		fi
		GREP_0817
	fi
}



GREP_0797()
{
	if GREP_0793 ; then
		if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
			$GREP_0009 "GREP_AWK approach cannot be used with NotContains filter joined by OR with any other filters" >&2
			exit 1
		fi
		GREP_0260 "$GREP_1154"
	else
		if [ -n "$GREP_0785" ] ; then
			if [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
				$GREP_0009 "GREP_AWK approach cannot be used when NotContains is the first filter" >&2
				exit 1
			fi
			GREP_0260 "$GREP_1154"
		elif [ -n "$GREP_1183" ] ; then
			GREP_0260 "$GREP_1154"
		else
			GREP_0796
		fi
	fi
}



GREP_0793()
{
	[ -n "$GREP_0786" ] && [ "$GREP_0199" = "OR" ] && [ -n "$GREP_0788" ]
}



GREP_0796()
{
	if [ "$GREP_0611" = "DEFAULT" ] || [ "$GREP_0611" = "DEFAULT_NO_OFFSETS" ] ; then
		GREP_0900
	elif [ "$GREP_0611" = "AWK_ONLY" ] || [ "$GREP_0611" = "AWK_ONLY_NO_OFFSETS" ] ; then
		GREP_0260 "$GREP_1154"
	elif [ "$GREP_0611" = "GREP_AWK" ] || [ "$GREP_0611" = "GREP_AWK_NO_OFFSETS" ] ; then
		if [ -n "$GREP_0345" ] ; then
			GREP_0261
		else
			$GREP_0009 "GREP_AWK approach cannot be used with when fgrep does not support -C parameter" >&2
			exit 1
		fi
	fi
}



GREP_0900()
{

	if [ -n "$GREP_0344" ] || [ -z "$GREP_0345" ] ; then
		GREP_0260 "$GREP_1154"
	else
		GREP_0237=$(GREP_0943 "$GREP_1154")
		GREP_0176=50000
		if [ "$GREP_0237" -gt "$GREP_0176" ]; then
			GREP_0261
		else
			GREP_0260 "$GREP_1154"
		fi
	fi
}
