# import SearchDateParser.awk
# import SearchDateUtil.awk




function initializeSliceDateCheck() {
	if (GREP_1016 && GREP_0956) {
		GREP_1176()
		GREP_0912 = 0
		GREP_0913 = 0
		GREP_0927()
		GREP_0928()
	}
}

function GREP_0927() {
	if (GREP_0957 == "POINT") {
		if (GREP_0958 == "FROM") {
			GREP_0910 = 1
			GREP_0911 = 0
		} else if (GREP_0958 == "TO") {
			GREP_0910 = 0
			GREP_0911 = 1
		} else {
			print "Illegal _POINT_TYPE_ value: " GREP_0958
			exit 1
		}
	} else if (GREP_0957 == "RANGE") {
		GREP_0910 = 1
		GREP_0911 = 1
	} else {
		print "Illegal _SLICE_CHECK_TYPE_ value: " GREP_0957
		exit 1
	}
}

function GREP_0928() {
	if (GREP_0959) {
		if (!(1 in GREP_0741)) {
			print "_FROM_BORDER_EXIST_ is in fact FALSE"
			exit 1
		}
	} else {
		if (1 in GREP_0741) {
			print "_FROM_BORDER_EXIST_ is in fact TRUE"
			exit 1
		}
	}
	if (GREP_0960) {
		if (!(1 in GREP_0742)) {
			print "_FROM_BORDER_EXIST_ is in fact FALSE"
			exit 1
		}
	} else {
		if (1 in GREP_0742) {
			print "_FROM_BORDER_EXIST_ is in fact TRUE"
			exit 1
		}
	}
}



function sliceDateCheckIfNeeded(GREP_0525,        GREP_0747) {
	if (GREP_0956) {
		if (!AWKERROR) {
			if (match(GREP_0525,/DATE_REGEX_KEY/)) {
				GREP_0614 = substr(GREP_0525,RSTART,RLENGTH);
				GREP_1178(GREP_0747)
				if (AWKERROR) {
					AWKERROR=0
					GREP_1013++
				} else {
					GREP_0935(GREP_0747)
				}
			} else {
				GREP_1013++
			}
		}
		return 1
	}
	return 0
}


function GREP_0935(GREP_0747) {
	if (!GREP_0931(GREP_0747)) {
		GREP_0912 = GREP_0925
		GREP_0921 = 1
		exit 0
	}
	for (i = 1 ; i <= 1; i++) {
		if (GREP_0910) {
			GREP_0933(GREP_0747, i)
		}
		if (GREP_0911) {
			GREP_0934(GREP_0747, i)
		}
	}
	GREP_0913++
	return 0
}

function GREP_0933(GREP_0747, i,        GREP_0916) {
	if (i in GREP_0741) {
		GREP_0916 = 1
		for (j = 1; j <= GREP_0620; j++) {
			if (j in GREP_0747) {
				GREP_0689 = GREP_0741[i "_" j GREP_0687]
				GREP_0690 = GREP_0747[j]
				if (GREP_0690 < GREP_0689) {
					GREP_0918 = 1
					GREP_0916 = 0
					break
				} else if (GREP_0690 > GREP_0689) {
					GREP_0917 = 1
					GREP_0916 = 0
					break
				} else {
				}
			} else {
				break
			}
		}
		if (GREP_0916) {
			GREP_0917=1
		}
	} else {
		GREP_0917=1
	}
}

function GREP_0934(GREP_0747, i,        GREP_0916) {
	if (i in GREP_0742) {
		GREP_0916 = 1
		for (j = 1; j <= GREP_0620; j++) {
			if (j in GREP_0747) {
				GREP_0689 = GREP_0742[i "_" j GREP_0687]
				GREP_0690 = GREP_0747[j]
				if (GREP_0690 < GREP_0689) {
					GREP_0919 = 1
					GREP_0916 = 0
					break
				} else if (GREP_0690 > GREP_0689) {
					GREP_0920 = 1
					GREP_0916 = 0
					break
				} else {
				}
			} else {
				break
			}
		}
		if (GREP_0916) {
			GREP_0920 = 1
		}
	} else {
		GREP_0919=1
	}
}



function checkProcessingLimit(entryWithDate) {
	if (!GREP_0955) {
		return
	}
	GREP_0925 = GREP_0912
	GREP_0912 = GREP_0912 + length(entryWithDate)
	if (GREP_0912 > GREP_0955) {
		GREP_0912 = GREP_0925
		if (GREP_1101) {
			sliceDateCheckFinalize()
		} else {
			GREP_0926=1
		}
		exit 0
	}
}


function sliceDateCheckFinalize() {
	if (GREP_0956) {
		GREP_0936()
		GREP_0922 = GREP_0937()
		if (!GREP_0922) {
			GREP_0940()
		}
	}
}


function GREP_0936() {
	if (!GREP_0912) {
		GREP_0912=0
	}
	print "GREP_0963=" GREP_0912
}

function GREP_0937(        GREP_0922) {
	GREP_0922 = 0
	if (GREP_0921) {
		print "GREP_0921=true"
		GREP_0922 = 1
	} else {
		if (GREP_1013 > GREP_0951) {
			print "GREP_0964=true"
			GREP_0922 = 1
		}
		if (GREP_0913 < GREP_0952) {
			print "GREP_0965=true"
			GREP_0922 = 1
		}
	}
	return GREP_0922
}

function GREP_0940() {
	if (GREP_0957 == "POINT") {
		if (GREP_0910) {
			GREP_0938()
			print "GREP_0967=" GREP_0923
		} else if (GREP_0911) {
			GREP_0939()
			print "GREP_0967=" GREP_0924
		} else {
			print "Impossible DO_MATCH combination"
			exit 1
		}
	} else if (GREP_0957 == "RANGE") {
		GREP_0938()
		GREP_0939()
		if (GREP_0923 == GREP_0924) {
			print "GREP_0968=" GREP_0923
		}
		print "GREP_0923=" GREP_0923
		print "GREP_0924=" GREP_0924
	} else {
		print "Illegal _SLICE_CHECK_TYPE_ value: " GREP_0957
		exit 1
	}
}

function GREP_0938() {
	if (GREP_0918 && GREP_0917) {
		GREP_0923="INSIDE"
	} else if (GREP_0918) {
		GREP_0923="AFTER"
	} else if (GREP_0917) {
		GREP_0923="BEFORE"
	} else {
		print "Illegal _FROM_HINT_BEFORE_, _FROM_HINT_AFTER_ combination: " GREP_0918 "," GREP_0917
		exit 1
	}
}

function GREP_0939() {
	if (GREP_0919 && GREP_0920) {
		GREP_0924="INSIDE"
	} else if (GREP_0919) {
		GREP_0924="AFTER"
	} else if (GREP_0920) {
		GREP_0924="BEFORE"
	} else {
		print "Illegal _TO_HINT_BEFORE_, _TO_HINT_AFTER_ combination: [" GREP_0919 "," GREP_0920 "]"
		exit 1
	}
}
