



BEGIN {
	GREP_0822 = "_###__###_"
	GREP_0890 = "_$$$__$$$_"
	GREP_1143 = 1000000
	GREP_0490()
}



{
	GREP_0856()
	GREP_0863()
	if (GREP_0845 > 0) {
		GREP_0867()
	}
	exit 0
}








function GREP_0856()
{
	GREP_0853()
	GREP_0832 = 0
	GREP_0833 = GREP_0852()
	GREP_0855()
	while (GREP_0854()) {
		lsFilesPrev[GREP_0832++] = file
		lsSizesPrev[file] = GREP_1194
		lsDatesPrev[file] = date
		lsCksumsPrev[file] = cksum
	}
}


function GREP_0853(        GREP_0825)
{
	if (HEAD_NEEDS_AWK) {
		GREP_0431 = "GREP_0174"
		GREP_0825 = 0
		while (getline) {
			if ($0 == "__END_OF_HEAD_SH__") {
				GREP_0825 = 1
				break
			}
			GREP_0826 = GREP_0826 $0 "\n"
		}
		if (!GREP_0825) {
			print "AWKERROR: Reading UtilHead.sh in _tail_ls_ not completed"
			exit 1
		}
	} else {
		GREP_0431 = "$GREP_0431"
	}
}


function GREP_0852()
{
	GREP_0824 = getline
	if (!GREP_0824) {
		print "AWKERROR: Wrong input parameters"
		exit 1
	}
	if ($0 == "__END_OF_TAIL_LS_PARAMETERS__") {
		return ""
	}
	return $0
}


function GREP_0855()
{
	GREP_0831 = "ls -aldL " GREP_0833
	GREP_0896 = "ls  -aldL " GREP_0833
}


function GREP_0854()
{

	file = GREP_0852()
	if (!file) {
		return 0
	}
	GREP_1194 = GREP_0852()
	if (!GREP_1194) {
		print "AWKERROR: End of _tail_ls_ parameters when reading _size_ of _file_: " file
		exit 1
	}
	date = GREP_0852()
	if (!date) {
		print "AWKERROR: End of _tail_ls_ parameters when reading _date_ of _file_: " file
		exit 1
	}
	cksum = GREP_0852()
	if (!cksum) {
		print "AWKERROR: End of _tail_ls_ parameters when reading _cksum_ of _file_: " file
		exit 1
	}
	return 1
}







function GREP_0863(        GREP_0898, lsOutputLines, lsOutputSizes, lsDates, GREP_1043)
{
	GREP_0844 = 0
	GREP_0845 = 0
	if (system(GREP_0831 "> /dev/null") != 0) {
		exit 1;
	}
	GREP_0898 = ""
	GREP_0905 = ""

	GREP_1043=0
	while (GREP_0831 | getline) {
		GREP_1043++
		lsOutputLines[GREP_1043] = $0
		lsOutputSizes[GREP_1043] = $5
		lsOutputDates[GREP_1043] = $6 $7 $8
		GREP_0898 = GREP_0898 $0 "\n"
	}
	GREP_1044(lsOutputLines, lsOutputSizes, lsOutputDates, GREP_1043)
}


function GREP_1044(lsOutputLines, lsOutputSizes, lsOutputDates, GREP_1043,        GREP_1194, date, cksum, file, i)
{
	for (i = 1 ; i <= GREP_1043 ; i++) {
		file = GREP_0857(lsOutputLines[i])
		if (!GREP_0860(file) || GREP_0114(file)) {
			continue
		}
		GREP_1194 = lsOutputSizes[i]
		date = lsOutputDates[i]
		if (GREP_1194 > 0) {
			cksum = GREP_0861(GREP_1194, date, file)
			if (GREP_0842) {
				lsFilesNoR[GREP_0845++] = file
				lsSizesNoR[file] = GREP_1194
				lsDatesNoR[file] = date
				lsCksumsNoR[file] = cksum
			} else {
				lsFiles[GREP_0844++] = file
				lsSizes[file] = GREP_1194
				lsDates[file] = date
				lsCksums[file] = cksum
			}
		}
	}
}


function GREP_0857(lsLine)
{
	GREP_0834 = index(lsLine,"/")
	if (GREP_0834 <= 0) {
		print "AWKERROR: Cannot find slash in the following _lsLine_: " lsLine
		exit 1
	}
	GREP_0835 = substr(lsLine,GREP_0834-1,1)
	if (GREP_0835 != " ") {
		print "AWKERROR: Character before the slash is not a GREP_0906 but: _" GREP_0835 "_"
		exit 1
	}
	return substr(lsLine,GREP_0834)
}


function GREP_0860(file,        GREP_0839, GREP_0840)
{
	GREP_0839 = system("test -f " GREP_0729 file GREP_0729) == 0
	GREP_0840 = system("test -r " GREP_0729 file GREP_0729) == 0
	if (GREP_0839 && !GREP_0840) {
		GREP_0868(file)
	}
	return GREP_0839 && GREP_0840
}


function GREP_0114(file,        GREP_0878)
{
	GREP_0878 = match(file,"\\.gz$") || match(file,"\\.tgz$") || match(file,"\\.bz2$") || match(file,"\\.tbz2$") || match(file,"\\.zip$") || match(file,"\\.tar$")
	if (GREP_0878) {
		GREP_0869(file)
	}
	return GREP_0878
}


function GREP_0861(GREP_1194, date, file,        GREP_0843, cksum)
{
	GREP_0842 = 0
	cksum = 0
	if (file in lsSizesPrev) {
		if (GREP_1194 == lsSizesPrev[file]) {
			cksum = GREP_0859(file,GREP_1194)
			if (cksum == lsCksumsPrev[file]) {
				GREP_0870(GREP_1194, date, cksum, file)
			} else {
				GREP_0842 = 1
			}
		} else {
			if (GREP_1194 > lsSizesPrev[file]) {
				GREP_0843 = GREP_0859(file,lsSizesPrev[file])
				if (GREP_0843 == lsCksumsPrev[file]) {
					cksum = GREP_0859(file,GREP_1194)
					GREP_0871(GREP_1194, date, cksum, file)
				} else {
					GREP_0842 = 1
				}
			} else {
				GREP_0842 = 1
			}
		}
	} else {
		GREP_0842 = 1
	}
	if (!cksum) {
		cksum = GREP_0859(file,GREP_1194)
	}
	return cksum
}







function GREP_0859(file, GREP_1194,         GREP_0836, GREP_0838, GREP_0520, cksum, GREP_0891, i, GREP_0907)
{
	GREP_0891 = GREP_0892(file, GREP_1194)
	if (GREP_0891 in cksumCache) {
		return cksumCache[GREP_0891]
	}
	GREP_0907 = 0
	for (i = 0; i < 5; i++) {
		GREP_0836 = GREP_0858(file, GREP_1194, i)
		GREP_0520 = 0
		while (GREP_0836 | getline) {
			GREP_0520++
			if (GREP_0520 > 1) {
				print "AWKERROR: _cksumCommand_ returned more than one line. _cksumCommand_: " GREP_0836 " command output: " $0
				exit 1
			}
			cksum = $1
		}
		if (GREP_0520 == 0) {
			print "AWKERROR: _cksumCommand_ returned error _cksumCommand_: " GREP_0836
			exit 1
		}
		if (!cksum) {
			print "AWKERROR: _cksumCommand_ returned empty _cksum_. _cksum_: " cksum " command output: " $0 " _cksumCommand_: " GREP_0836
			exit 1
		}
		if (GREP_0894(file, GREP_1194, $2, GREP_0836, $0)) {
			GREP_0907 = 1
			break;
		}
	}
	if (!GREP_0907) {
		print "AWKERROR: _cksumCommand_ could not be GREP_0907 _cksumCommand_: " GREP_0836
		exit 1
	}
	cksumCache[GREP_0891] = cksum
	return cksum
}


function GREP_0892(file, GREP_1194)
{
	return file GREP_0890 GREP_1194
}


function GREP_0858(file, GREP_1194, spaces,        GREP_0836, i, GREP_0906)
{
	GREP_0906 = ""
	for (i = 0; i < spaces; i++) {
		GREP_0906 = GREP_0906 " "
	}
	if (GREP_1194 <= GREP_1143) {
		if (HEAD_NEEDS_AWK) {
			GREP_0836 = sprintf("cat %s | %s -c %d | %s $GREP_0820", GREP_0729 file GREP_0729, GREP_0431, GREP_1194, GREP_0906)
		} else {
			GREP_0836 = sprintf("%s -c %d %s | %s $GREP_0820", GREP_0431, GREP_1194, GREP_0729 file GREP_0729, GREP_0906)
		}
		GREP_0837 = GREP_1194
	} else {
		GREP_0838 = GREP_1194 - GREP_1143 + 1
		GREP_0836 = sprintf("$GREP_0097 -c %s%d %s | %s -c %d | %s $GREP_0820", "+", GREP_0838, GREP_0729 file GREP_0729, GREP_0431, GREP_1143, GREP_0906)
		GREP_0837 = GREP_1143
	}
	if (HEAD_NEEDS_AWK) {
		GREP_0836 = GREP_0826 GREP_0836
	}
	return GREP_0836
}


function GREP_0894(file, GREP_0902, GREP_0903, GREP_0836, GREP_0904,        GREP_0893)
{
	if (GREP_0837 != GREP_0903) {
		GREP_0895 = " "
		if (system("test -f " GREP_0895 GREP_0729 file GREP_0729) != 0) {
			print "AWKERROR: CHANGE_DURING_TAIL file removed: " file
			exit 2
		}
		GREP_0893 = "-1"
		if ("ls -aldL " GREP_0729 file GREP_0729 | getline) {
			GREP_0893 = $5
		}
		if ((GREP_0893 == "-1") || (GREP_0893 < GREP_0902)) {
			print "AWKERROR: CHANGE_DURING_TAIL current file _size_: " GREP_0893 " is smaller than _cksumSize_: " GREP_0902 " . File: " file
			exit 2
		}
		return 0
	}
	return 1
}







function GREP_0867(        i)
{
	GREP_0864()
	for (i = 0; i<GREP_0845; i++) {
		GREP_0850 = lsFilesNoR[i]
		GREP_0851 = lsSizesNoR[GREP_0850]
		if (GREP_0851 > 0) {
			GREP_0847 = GREP_0865(GREP_0850, GREP_0851)
			if (!GREP_0847) {
				GREP_0847 = GREP_0866(GREP_0850, GREP_0851)
			}
		}
	}
}


function GREP_0864(        i, GREP_0846)
{
	for (i = 0; i < GREP_0832; i++) {
		GREP_0846 = lsFilesPrev[i]
		if (!(GREP_0846 in lsSizes)) {
			lsFiles[GREP_0844++] = GREP_0846
			lsSizes[GREP_0846] = lsSizesPrev[GREP_0846]
			lsDates[GREP_0846] = lsDatesPrev[GREP_0846]
			lsCksums[GREP_0846] = lsCksumsPrev[GREP_0846]
		}
	}
}


function GREP_0865(GREP_0850, GREP_0851,        GREP_0847, i, file, GREP_1194)
{
	GREP_0847 = 0
	for (i = 0; i < GREP_0844; i++) {
		file = lsFiles[i]
		GREP_1194 = lsSizes[file]
		if (GREP_0851 == GREP_1194) {
			if (lsCksumsNoR[GREP_0850] == lsCksums[file]) {
				GREP_0847 = 1
				GREP_0872(GREP_0851, lsDatesNoR[GREP_0850], lsCksumsNoR[GREP_0850], GREP_0850, GREP_1194, file, lsCksums[file])
				break;
			}
		}
	}
	return GREP_0847
}


function GREP_0866(GREP_0850, GREP_0851,        GREP_0847, i, file, GREP_1194, cksum, GREP_0848, GREP_0849, GREP_0879)
{
	GREP_0847 = 0
	GREP_0848 = 0
	GREP_0849 = 0
	GREP_0879 = 0
	for (i = 0; i < GREP_0844; i++) {
		file = lsFiles[i]
		GREP_1194 = lsSizes[file]
		if ((GREP_0851 > GREP_1194) && (GREP_1194 > 0)) {
			cksum = GREP_0859(GREP_0850, GREP_1194)
			if (cksum == lsCksums[file]) {
				GREP_0847 = 1
				if (GREP_1194 > GREP_0849) {
					GREP_0849 = GREP_1194
					GREP_0848 = file
					GREP_0879 = cksum
				}
			}
		}
	}
	if (GREP_0847) {
		GREP_0872(GREP_0851, lsDatesNoR[GREP_0850], lsCksumsNoR[GREP_0850], GREP_0850, GREP_0849, GREP_0848, GREP_0879)
	} else {
		GREP_0873(GREP_0851, lsDatesNoR[GREP_0850], lsCksumsNoR[GREP_0850], GREP_0850)
	}
}







function GREP_0868(file)
{
	print "NON_READABLE" GREP_0822 file
}


function GREP_0869(file)
{
	print "COMPRESSED" GREP_0822 file
}


function GREP_0870(GREP_1194, date, cksum, file)
{
	print "NOT_CHANGED" GREP_0822 file GREP_0822 GREP_1194 GREP_0822 date GREP_0822 cksum
}


function GREP_0871(GREP_1194, date, cksum, file)
{
	print "ENLARGED" GREP_0822 file GREP_0822 GREP_1194 GREP_0822 date GREP_0822 cksum
}


function GREP_0872(GREP_1194, date, cksum, file, GREP_0849, GREP_0848, GREP_0879)
{
	print "RENAMED" GREP_0822 file GREP_0822 GREP_1194 GREP_0822 date GREP_0822 cksum GREP_0822 GREP_0849 GREP_0822 GREP_0848 GREP_0822 GREP_0879
}


function GREP_0873(GREP_1194, date, cksum, file)
{
	print "NEW" GREP_0822 file GREP_0822 GREP_1194 GREP_0822 date GREP_0822 cksum
}





function GREP_0519(        GREP_0902, GREP_0903, GREP_0904)
{
	GREP_0902 = 0
	GREP_0903 = 0
	GREP_0904 = 0
}
